%define name libdvb
%define version 0.5.4
%define release 2mdk

Summary: DVB mpegtools libdvb - base tools
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.metzlerbros.org/dvb/%{name}-%{version}.tar.gz
Patch1: libdvb-show_dvb_image.patch.bz2
Patch2: libdvb-destdir.patch.bz2
Patch3: libdvb-pkgconfig.patch.bz2
Patch4: libdvb-maindvb.patch.bz2
License: GPL
Group: Video
URL: http://www.metzlerbros.org/dvb/
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

Provides: dvb-mpegtools
BuildRequires: gcc-c++
#BuildRequires: dvb-modules-devel

%description
 manipulation of various MPEG file formats and their DVB variants

%package devel
Summary: DVB mpegtools libdvb - developer tools
Group: Development/Other
Provides: dvb-mpegtools-devel

%description devel
manipulation of various MPEG file formats and their DVB variants

%prep
%setup -q
%patch1
%patch2
%patch3
%patch4
# no `configure` here..

%build
# -I../../include is wrong... point to the headers of the current kernel
make "INCS=-I/lib/modules/`uname -r`/build/include -I../include" \
 "INCLUDES=-I/lib/modules/`uname -r`/build/include -I../include" \
  PREFIX=%prefix
make pkgconfig \
  PREFIX=%prefix

%install
rm -rf $RPM_BUILD_ROOT
# make install DESTDIR=%buildroot
%__mkdir_p %buildroot%_bindir
make install DESTDIR=%buildroot PREFIX=%prefix
make pkgconfig-install DESTDIR=%buildroot PREFIX=%prefix
(cd sample_progs && make install DESTDIR=%buildroot PREFIX=%prefix)

# prefix binaries with dvb_
for i in %buildroot%_bindir/* ; do 
  dir=`dirname $i` ; file=`basename $i` 
  case "$file" in
  dvb*) ;; 
  *)  mv $dir/$file $dir/dvb_$file ;;
  esac
done
# but keep aliases for ts* and pes*
for i in %buildroot%_bindir/dvb_ts* %buildroot%_bindir/dvb_pes* ; do
  dir=`dirname $i` ; file=`basename $i` 
  (cd $dir && ln -s $file `echo $file | sed -e 's/^dvb_//'`)
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%_bindir/*

%files devel
%defattr(-,root,root)
%_libdir/*
%_includedir/*

%changelog
* Fri Jul 16 2004 Michael Scherer <misc@mandrake.org> 0.5.4-2mdk 
- rebuild for new gcc

* Thu Mar 04 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.4-1mdk
- from Guido Draheim <guidod-2003-@gmx.de>

* Wed Feb 25 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.4-1mdk
- new

# end of file
